faked(1)

NAMN
faked - daemon som kommer ihåg fejkad ägarskaps- och rättighetsinformation för filer som manipulerats av fakeroot-processer.

SYNOPSIS
faked [--debug] [--foreground] [--cleanup] [--key meddelande-nyckel]

BESKRIVNING
Om en fakeroot-process vill ändra ägarskap för en fil, kommer faked att komma ihåg den nya ägaren. Om samma fakeroot-process senare utför ett stat()-anrop för den filen, kommer libfakeroots ersättningsfunktion för stat() först att anropa faked för att få den fejkade ägarinformationen för den filen, och sedan rapportera denna.

FLAGGOR

--debug
    Skriv ut avlusningsinformation via stderr.

--foreground
    Förbli en förgrundsprocess.

--cleanup  number
    Rensa upp semaforerna.

--key  nyckelvärde
    Allokera ingen ny kommunikationskanal; använd istället kanalen som angivits via nyckeln (om den angivna kanalen inte existerar så skapas den).

BUGGAR
Inga kända. Tag dock i beaktande, att även om jag skrivit ett flertal större (och mindre) program, så har jag aldrig skrivit något så litet som fakeroot, som har så många buggar som fakeroot, och ändå varit så användbart som, låt säga, fakeroot version 0.0_3, den första versionen av programmet som kunde användas för att bygga sig själv.

LICENS
fakeroot distribueras under GNU General Public License. (GPL 2.0 eller senare).

FÖRFATTARE
joost witteveen <joostje@debian.org>

MANUALSIDA
till större delen skriven av J.H.M. Dassen <jdassen@wi.LeidenUniv.nl> ändringar/tillägg av joost.

SE ÄVEN
fakeroot(1), dpkg-buildpackage(1), debuild(1) /usr/share/doc/fakeroot/DEBUG

ÖVERSÄTTNING
David Weinehall <tao@kernel.org>